Subject: [Fwd: UID and GID]

From: Omar Keblawi <[email-masked]>
Date: Mon, 25 Jan 1999 18:18:58 -0800

Yes.  It looks correct.  That's why I think something else is wrong.

nrcatest:x:401:401:NRCA TEST:/ftphome/nrcatest/./files:/bin/ftponly

ftpsrvr% pwd
/ftphome/nrcatest

ftpsrvr% ls
bin    dev    etc    files  usr

Omar

Gregory A Lundberg wrote:
> 
> On Mon, 25 Jan 1999, Omar Keblawi wrote:
> 
> > When I do an "ls", my owner and group are numbers and not names.  I
> > thought by copying the passwd entry and putting it into
> > ~ftpuser/etc/passwd and ~ftpuser/etc/group files would have solve this
> > problem.
> >
> > How did you solve this problem?  Am I missing a particular library
> > possibly?
> 
> I believe this is coveredin the FAQ.  Basically, you're on the right
> track.  Probably the user isn't chroot'd where you think; check
> /etc/passwd for the user's home directory.  If it has /./, the etc bin and
> other stuff must be in the part to the *left* of /./ in the home directory
> entry.  If no /./, in the home directory.
> 
> --
> 
> Gregory A Lundberg              Senior Partner, VRnet Company
> 1441 Elmdale Drive              [email-masked]
> Kettering, OH 45409-1615 USA    1-800-809-2195

---

From: Gregory A Lundberg <[email-masked]>
Date: Mon, 25 Jan 1999 21:49:08 -0500 (EST)

> nrcatest:x:401:401:NRCA TEST:/ftphome/nrcatest/./files:/bin/ftponly

It is possible that you are missing some libraries needed for 'ls' to
lookup usernames.  It is also possible the problem is with the file
permissions for ~nrcatest/etc, ~nrcatest/etc/passwd or
~nrcatest/etc/group.

I have an example layout at ftp://ftp.vr.net/pub/wu-ftpd/examples/ which
shows permissions.  This layout presumes all executables are statically
linked and no special devices or other files are needed; it works on Linux
as shown, other systems may need additional glue .. check the FAQ for your
system.

--